Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2196305 - FTI: knot is not installable on CentOS Stream 9
Summary: FTI: knot is not installable on CentOS Stream 9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: knot
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-05-08 17:37 UTC by Davide Cavalca
Modified: 2023-05-16 03:13 UTC (History)
9 users (show)

Fixed In Version: knot-3.2.6-2.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-16 03:13:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Davide Cavalca 2023-05-08 17:37:47 UTC
CentOS Stream 9 ships libbpf 1.1.0-1.el9, while the current knot package in EPEL 9 is built against 0.6.0-1.el9. This is a breaking bump, and the resulting package is not installable in CentOS Stream 9 if libbpf 1.1.0-1.el9 is also installed. I recommend branching knot for epel9-next and rebuilding it there, which should resolve the issue.

Comment 1 Davide Cavalca 2023-05-08 18:03:04 UTC
Put up https://src.fedoraproject.org/rpms/knot/pull-request/3 to also fix a build issue with libbpf 1.x

Comment 2 Jan Pazdziora 2023-05-12 16:47:20 UTC
By now it is also a problem on RHEL 9.2, and in fact a regression against RHEL 9.1:

# dnf install -y knot
Updating Subscription Management repositories.
Unable to read consumer identity

This system is not registered with an entitlement server. You can use subscription-manager to register.

Last metadata expiration check: 0:00:10 ago on Fri 12 May 2023 12:35:14 PM EDT.
Error: 
 Problem: package knot-3.2.6-1.el9.aarch64 requires libdnssec.so.9()(64bit), but none of the providers can be installed
  - package knot-3.2.6-1.el9.aarch64 requires libknot.so.13()(64bit), but none of the providers can be installed
  - package knot-3.2.6-1.el9.aarch64 requires libzscanner.so.4()(64bit), but none of the providers can be installed
  - package knot-3.2.6-1.el9.aarch64 requires knot-libs(aarch-64) = 3.2.6-1.el9, but none of the providers can be installed
  - conflicting requests
  - nothing provides libbpf.so.0()(64bit) needed by knot-libs-3.2.6-1.el9.aarch64
  - nothing provides libbpf.so.0(LIBBPF_0.0.1)(64bit) needed by knot-libs-3.2.6-1.el9.aarch64
  - nothing provides libbpf.so.0(LIBBPF_0.0.2)(64bit) needed by knot-libs-3.2.6-1.el9.aarch64
  - nothing provides libbpf.so.0(LIBBPF_0.0.4)(64bit) needed by knot-libs-3.2.6-1.el9.aarch64
  - nothing provides libbpf.so.0(LIBBPF_0.0.6)(64bit) needed by knot-libs-3.2.6-1.el9.aarch64
  - nothing provides libbpf.so.0(LIBBPF_0.6.0)(64bit) needed by knot-libs-3.2.6-1.el9.aarch64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Comment 4 Jan Pazdziora 2023-05-12 17:03:07 UTC
I confirm that the patch from https://src.fedoraproject.org/rpms/knot/pull-request/3 works for RHEL 9.2 as well.

Comment 5 Michel Lind 2023-05-12 18:10:49 UTC
Yeah, EL 9.1 is also affected as that has libbpf 1.0.

Comment 6 Petr Menšík 2023-05-12 21:23:35 UTC
Not even knot-utils can be installed on RHEL9:

# dnf install --enablerepo=epel knot-utils
Last metadata expiration check: 0:12:44 ago on Fri 12 May 2023 05:05:19 PM EDT.
Error: 
 Problem: package knot-utils-3.2.6-1.el9.x86_64 requires libdnssec.so.9()(64bit), but none of the providers can be installed
  - package knot-utils-3.2.6-1.el9.x86_64 requires libknot.so.13()(64bit), but none of the providers can be installed
  - package knot-utils-3.2.6-1.el9.x86_64 requires libzscanner.so.4()(64bit), but none of the providers can be installed
  - package knot-utils-3.2.6-1.el9.x86_64 requires knot-libs(x86-64) = 3.2.6-1.el9, but none of the providers can be installed
  - conflicting requests
  - nothing provides libbpf.so.0()(64bit) needed by knot-libs-3.2.6-1.el9.x86_64
  - nothing provides libbpf.so.0(LIBBPF_0.0.1)(64bit) needed by knot-libs-3.2.6-1.el9.x86_64
  - nothing provides libbpf.so.0(LIBBPF_0.0.2)(64bit) needed by knot-libs-3.2.6-1.el9.x86_64
  - nothing provides libbpf.so.0(LIBBPF_0.0.4)(64bit) needed by knot-libs-3.2.6-1.el9.x86_64
  - nothing provides libbpf.so.0(LIBBPF_0.0.6)(64bit) needed by knot-libs-3.2.6-1.el9.x86_64
  - nothing provides libbpf.so.0(LIBBPF_0.6.0)(64bit) needed by knot-libs-3.2.6-1.el9.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Comment 7 Fedora Update System 2023-05-12 21:34:21 UTC
FEDORA-EPEL-2023-97c78522e8 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-97c78522e8

Comment 8 Petr Menšík 2023-05-12 21:36:23 UTC
Confirm Michel's build fixes it to me, created update for it.

Comment 9 Petr Menšík 2023-05-12 23:08:00 UTC
Created upstream issue to include change to their internal spec file:
https://gitlab.nic.cz/knot/knot-dns/-/issues/844

Comment 10 Fedora Update System 2023-05-13 02:51:44 UTC
FEDORA-EPEL-2023-97c78522e8 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-97c78522e8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-05-16 03:13:14 UTC
FEDORA-EPEL-2023-97c78522e8 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.